/***********************************************************/
/*                                                         */
/*         regdlx.c  - Bad Seal registry functions         */
/*                          DLX Version                    */
/*                                                         */
/*                          version 0.3                    */
/*                                                         */
/*                    Copyright (C) 2001                   */
/*          by Kostas Michalopoulos aka Bad Sector         */
/*                                                         */
/***********************************************************/

#include "allegro.h"
#include "seal.h"
#include "registry.c"

#include "regdlx.exp"

lib_begin(void)
{
  if (ap_process == AP_ALLOC)
  {
    AP_EXPORTLIB();
  } else
  if (ap_process == AP_INIT)
  {
    AP_SETNUMOFCALLS(1);

    init_registry();
  };
} lib_end;

